Ikhtisar kunci
| Versi kunci | V4 |
|---|---|
| Spesifikasi | RFC 2440 · RFC 4880 · RFC 9580 |
| Status | Kompatibel, tetapi dinyatakan usang oleh RFC 9580 |
| Kunci utama (sertifikasi, penandatanganan) | RSA 1024 · ID 1 |
| Subkunci enkripsi | RSA 1024 · ID 1 |
| Sidik jari | B75872FDF13E32C2535597D6CF6C25ABA3D18793 |
| Frasa sandi kunci privat | synthetic-key-password |
Algoritma dan penggunaan
RSA 1024: RSA dengan modulus 1024 bit, dianggap dapat dipecahkan saat ini. Disimpan hanya untuk kompatibilitas historis; GnuPG menerimanya, Sequoia dan alat berbasis rPGP menolak kunci di bawah 2048 bit, begitu pula server kunci keys2.
RSA 1024: RSA dengan modulus 1024 bit, dianggap dapat dipecahkan saat ini. Disimpan hanya untuk kompatibilitas historis; GnuPG menerimanya, Sequoia dan alat berbasis rPGP menolak kunci di bawah 2048 bit, begitu pula server kunci keys2.
Kunci publik
Sertifikat publik yang berisi kunci utama, subkunci enkripsi, dan tanda tangan pengikatnya. Impor untuk memverifikasi tanda tangan atau mengenkripsi bagi identitas uji ini.
Unduh → 1 042 byte
-----BEGIN PGP PUBLIC KEY BLOCK-----
xo0EaveKiAEEALz1OVR75T/gMgZaPSYu3xmU1tX8TphVHn91//18foJvuV7KEkX9
aRH63lflBHbbpD5ZuoRDB0sxsAYTvcRkT3oD1qo0UoxlK728qskYzoBq+G0COT7G
My9tGzwlJxbLKXTscOg10D+8oOuVxQRHFMNP529M7ki1sb1EWveOu8ZRABEBAAHN
IUNILUogbWF0cml4IDM2LXY0LXJzYTEwMjQrcnNhMTAyNMLACgQTAQgANAUCaveK
iBYhBLdYcv3xPjLCU1WX1s9sJauj0YeTAhsDAh4BAwsJBwEVARYFJwkCBwICGQEA
CgkQz2wlq6PRh5NtXQP/QzPERdU429eUcm1y7VckNijbGOHsTBGRmxg4mFYxhsYb
ei2MLKFumUYE+pXPIp2LsqY8MMqOYLVsIcUoS58a0S6DoYPYepllTAWe4InNnbph
HkqNsLr/RVfijSZfEaR3HozkVimm8f4o5E6GiMSp4F2N/5Z1u9Wmf8zFuU6VIhXO
jQRq94qIAQQAxrTow8+7ms3WrOd21m5Qlk//q8I0rloQkp2rLMdpZzmwSJSj8Zwf
4fmm3J5go9t4SjZ0nR1VP22+5xkYWJxhgvG83KzvFyZEAR7sAS6eON4ykp/0Pcx9
AHDVFAsuwYrPUpBazdSFx/iy+HLkJ9BNyI4/hqu4UGZncpxLzAEZ/FMAEQEAAcK2
BBgBCAAgBQJq94qIFiEEt1hy/fE+MsJTVZfWz2wlq6PRh5MCGwwACgkQz2wlq6PR
h5MxxQQAs/CaGM56ySgepWyc1g8hURcCGuBeHhLLxvXPXoBRzCsXedKCgYzo5wrt
c8hyzaQfOwu3HZojRhz20ZA5eRfOHZolweK4CyqG1ZUPx4LFTCqyCyQzrGavjK2j
k+EWkTanZCTtMDxUxG1bjXMVsvUIQ+AF7VuwyGqRbzLEbcN1i8g=
=AMbA
-----END PGP PUBLIC KEY BLOCK-----
Kunci privat
Kunci privat yang dilindungi dengan frasa sandi yang ditampilkan di atas. Dipublikasikan hanya untuk pengujian: siapa pun dapat menggunakannya.
Unduh → 2 068 byte
Tampilkan
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcFGBGr3iogBBAC89TlUe+U/4DIGWj0mLt8ZlNbV/E6YVR5/df/9fH6Cb7leyhJF
/WkR+t5X5QR226Q+WbqEQwdLMbAGE73EZE96A9aqNFKMZSu9vKrJGM6AavhtAjk+
xjMvbRs8JScWyyl07HDoNdA/vKDrlcUERxTDT+dvTO5ItbG9RFr3jrvGUQARAQAB
/gkDCHapGZjAHQAV4N6vrVUXbVvMKIcPFpwS0HKa5WoX2d50Gph9IsNmNEbz5S6K
fgHRZqzpSDebPZuOkRI13TvDhq+ggmR23b4lveiNhOqlCBOlP/IAltNYuTSa+3E6
EYoWkt4QGmSFvzzUO6x8jV4/V+uK8seSzSUDmF/XPlntaivv9ddBLjyT2qYEw+4O
8/Nx6FfZjLiR3an1/XHEt08n1QDPNRERmU+ZXXTq36nWQ8IXTsc53HBX0lkagl7L
xa39/IvENlayJ9UT40s22zEzuNfa0ZV+/Cw/IV07KxM2k6DSTxOAKWzUy+pUTRH7
s2FbKWtyJC7tKmo6DAXQcgqi6kDV0M5P+VCjNwbqF3jrc7DrMdHG11L0GOUFf893
m6OAZSkt95s4HjNQ+IYLHHMPftBMlvAjVNFTXVez73MAh/t8iKvR8Oos3vyu0E4V
2zi4c5+D/uBq7rnQqSw0uiFxxhX9T8tzBl9t1AecE+8OkITibg0X89vNIUNILUog
bWF0cml4IDM2LXY0LXJzYTEwMjQrcnNhMTAyNMLACgQTAQgANAUCaveKiBYhBLdY
cv3xPjLCU1WX1s9sJauj0YeTAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQz2wl
q6PRh5NtXQP/QzPERdU429eUcm1y7VckNijbGOHsTBGRmxg4mFYxhsYbei2MLKFu
mUYE+pXPIp2LsqY8MMqOYLVsIcUoS58a0S6DoYPYepllTAWe4InNnbphHkqNsLr/
RVfijSZfEaR3HozkVimm8f4o5E6GiMSp4F2N/5Z1u9Wmf8zFuU6VIhXHwUYEaveK
iAEEAMa06MPPu5rN1qzndtZuUJZP/6vCNK5aEJKdqyzHaWc5sEiUo/GcH+H5ptye
YKPbeEo2dJ0dVT9tvucZGFicYYLxvNys7xcmRAEe7AEunjjeMpKf9D3MfQBw1RQL
LsGKz1KQWs3Uhcf4svhy5CfQTciOP4aruFBmZ3KcS8wBGfxTABEBAAH+CQMIIHSN
WZs6br7gjA2IoAMy1ZL+z0ifzpq5eUKSd3siurJRDygra3jehwgA4wt8dF/VvKJV
dKSIQA6rXroy67PhF/j+jtEblOGzwUltYfaepyWcirwKhB1amGtLohyENBgST3sr
rfn94/hTPZ/mYcK4BLmPSOgmO2crKfyEVMJDYTxHkSgikw6J13hGdc9ZGBsPOiuB
V6w6GSbz51qVgUhFiY4BZZk5/DieAf5L6lk6tA4IqXjeefo1Tdff7jXJAo2sfK9k
l1O0FvOmMVeDecJxHRxznwAVBL6eIwyLqhCNMaGO6qcBVPO4R2dnUIMysJqJqjuB
YL6zLXmpo51D8viHCLvE/O42y0FjzyeBgkrCXUU+fK8bBirzeMeb9V/KdPXZqXct
sG2U9R1FtF/ROGzEtFtlKMn5ub9SeSOCTIRMn03kD5q9KrArWBDH0kLprsEWZWOp
QADfahdvVhu6aiwJws64AAuM6B7jgSVR282+JMt7ZLoNU8K2BBgBCAAgBQJq94qI
FiEEt1hy/fE+MsJTVZfWz2wlq6PRh5MCGwwACgkQz2wlq6PRh5MxxQQAs/CaGM56
ySgepWyc1g8hURcCGuBeHhLLxvXPXoBRzCsXedKCgYzo5wrtc8hyzaQfOwu3HZoj
Rhz20ZA5eRfOHZolweK4CyqG1ZUPx4LFTCqyCyQzrGavjK2jk+EWkTanZCTtMDxU
xG1bjXMVsvUIQ+AF7VuwyGqRbzLEbcN1i8g=
=8FSz
-----END PGP PRIVATE KEY BLOCK-----
Sertifikat pencabutan
Sertifikat pencabutan yang telah dibuat sebelumnya. Mengimpornya menandai kunci sebagai dicabut; sertifikat ini dipublikasikan agar Anda dapat menguji cara perangkat lunak menangani kunci yang dicabut.
Unduh → 1 286 byte
Tampilkan
-----BEGIN PGP PUBLIC KEY BLOCK-----
xo0EaveKiAEEALz1OVR75T/gMgZaPSYu3xmU1tX8TphVHn91//18foJvuV7KEkX9
aRH63lflBHbbpD5ZuoRDB0sxsAYTvcRkT3oD1qo0UoxlK728qskYzoBq+G0COT7G
My9tGzwlJxbLKXTscOg10D+8oOuVxQRHFMNP529M7ki1sb1EWveOu8ZRABEBAAHC
swQgAQgAHQUCaveKiBYhBLdYcv3xPjLCU1WX1s9sJauj0YeTAAoJEM9sJauj0YeT
ETAD/iLWfQvQGa39/APFKjy1+KV5V/enqeAtCuma1apyWXfVuCaalZDhwLA/sq+S
Mn90l7ek6B30Rch3rGk2Nec5bFmMVbyc87mbgRHRtGoDvCqhyi+YPaFBR5+Fvzlo
aFkRONOrTS9+Iz62YqIfJ8PMLeLxb/988vlqr0QPBI7YJgpyzSFDSC1KIG1hdHJp
eCAzNi12NC1yc2ExMDI0K3JzYTEwMjTCwAoEEwEIADQFAmr3iogWIQS3WHL98T4y
wlNVl9bPbCWro9GHkwIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEM9sJauj0YeT
bV0D/0MzxEXVONvXlHJtcu1XJDYo2xjh7EwRkZsYOJhWMYbGG3otjCyhbplGBPqV
zyKdi7KmPDDKjmC1bCHFKEufGtEug6GD2HqZZUwFnuCJzZ26YR5KjbC6/0VX4o0m
XxGkdx6M5FYppvH+KOROhojEqeBdjf+WdbvVpn/MxblOlSIVzo0EaveKiAEEAMa0
6MPPu5rN1qzndtZuUJZP/6vCNK5aEJKdqyzHaWc5sEiUo/GcH+H5ptyeYKPbeEo2
dJ0dVT9tvucZGFicYYLxvNys7xcmRAEe7AEunjjeMpKf9D3MfQBw1RQLLsGKz1KQ
Ws3Uhcf4svhy5CfQTciOP4aruFBmZ3KcS8wBGfxTABEBAAHCtgQYAQgAIAUCaveK
iBYhBLdYcv3xPjLCU1WX1s9sJauj0YeTAhsMAAoJEM9sJauj0YeTMcUEALPwmhjO
eskoHqVsnNYPIVEXAhrgXh4Sy8b1z16AUcwrF3nSgoGM6OcK7XPIcs2kHzsLtx2a
I0Yc9tGQOXkXzh2aJcHiuAsqhtWVD8eCxUwqsgskM6xmr4yto5PhFpE2p2Qk7TA8
VMRtW41zFbL1CEPgBe1bsMhqkW8yxG3DdYvI
=OWAu
-----END PGP PUBLIC KEY BLOCK-----
Tanda tangan test_1MB.bin
Tanda tangan terpisah berformat ASCII-armored untuk test_1MB.bin yang dibuat dengan kunci ini di CH-J Tools. Simpan sebagai test_1MB.bin.asc di samping file uji.
Unduh → 313 byte
-----BEGIN PGP SIGNATURE-----
wrMEAAEIAB0WIQS3WHL98T4ywlNVl9bPbCWro9GHkwUCaveO9QAKCRDPbCWro9GH
kwa+A/9SlGnUtFSBRhsvufdu0al5tWUXh+1s9H58UDpqJUE/udT9uyMORSo7gV2C
VK8rBS3TgDdhz7LpOISVRGehKb0O/TXfAAv4yCOjmkZzQtAHgdsMxVl7iTjxbQj+
+av67uc0TAUkujJNJ99HZ1p/Jy7E909cUJKHjBxc36PTA37R4A==
=T+zC
-----END PGP SIGNATURE-----
Verifikasi tanda tangan
Kunci versi 4 bekerja dengan GnuPG dan alat SOP seperti sqop atau rsop, sejauh algoritmanya didukung. Gunakan GNUPGHOME sementara agar kunci uji tidak masuk ke keyring Anda yang sebenarnya:
gpg --import pgp-example-36-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin